#### Previous topic

scipy.special.j_roots

#### Next topic

scipy.special.l_roots

# scipy.special.js_roots

`scipy.special.``js_roots`(n, p1, q1, mu=False)

  Gauss-Jacobi (shifted) quadrature.

  Computes the sample points and weights for Gauss-Jacobi (shifted) quadrature. The sample points are the roots of the n-th degree shifted Jacobi polynomial, \(G^{p,q}_n(x)\). These sample points and weights correctly integrate polynomials of degree \(2n - 1\) or less over the interval \([0, 1]\) with weight function \(f(x) = (1 - x)^{p-q} x^{q-1}\)

  Parameters:

  n : int

  > quadrature order

  p1 : float

  > (p1 - q1) must be > -1

  q1 : float

  > q1 must be > 0

  mu : bool, optional

  > If True, return the sum of the weights, optional.

  Returns:

  x : ndarray

  > Sample points

  w : ndarray

  > Weights

  mu : float

  > Sum of the weights

  See also

  `scipy.integrate.quadrature`, `scipy.integrate.fixed_quad`